%if !(0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%global svnrev r2506

Name:           python-ruledispatch
Version:        0.5a1
Release:        0.17.svn%{svnrev}%{?dist}
Summary:        A generic function package for Python

Group:          Development/Languages
License:        Python or ZPLv2.1
URL:            http://www.turbogears.org
Source0:        http://files.turbogears.org/eggs/RuleDispatch-%{version}.dev-%{svnrev}.tar.gz
Patch0:         python-ruledispatch-0.5a0-py26keyword.patch
Patch1:         python-ruledispatch-ez_setup.patch
Patch2:         python-ruledispatch-depr-py26.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel python-setuptools-devel
BuildRequires:  python-protocols >= 1.0
BuildRequires:  python-peak-util-extremes >= 1.1
Requires:       python-protocols >= 1.0
Requires:       python-peak-util-extremes >= 1.1

%description
Rule-based Dispatching and Generic Functions.

%prep
%setup -q -n RuleDispatch-%{version}.dev-%{svnrev}
%patch0 -p 1 -b .keyword
%patch1 -p0 -b .ez_setup
%patch2 -p1 -b .depr

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{python_sitearch}/dispatch/*.txt .
chmod a-x *.txt


%check
%{__python} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc combiners.txt TODO.txt 
%{python_sitearch}/RuleDispatch-%{version}.dev_%{svnrev}-py*.egg-info
%dir %{python_sitearch}/dispatch
%{python_sitearch}/dispatch/*.py
%{python_sitearch}/dispatch/_d_speedups.so
%{python_sitearch}/dispatch/*.pyc
%dir %{python_sitearch}/dispatch/tests
%{python_sitearch}/dispatch/tests/*.py
%{python_sitearch}/dispatch/tests/*.pyc
%{python_sitearch}/dispatch/*.pyo
%{python_sitearch}/dispatch/tests/*.pyo

%changelog
* Tue Apr 13 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5a1-0.17.svnr2506
- Patch to fix deprecation warnings
- define => global

* Sun Jan 10 2010 Luke Macken <lmacken@redhat.com> - 0.5a1-0.16.svnr2506
- Update to RuleDispatch-0.5a1.dev-r2506
- Add python-ruledispatch-ez_setup.patch to use our own setuptools
- Require python-peak-util-extremes

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a0-0.15.svnr2306
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a0-0.14.svnr2306
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec  2 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5a0-0.12.svnr2306
- Add patch to change "as" to "asnew"

* Tue Dec 2 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5a0-0.12.svnr2306
- Enable test suite.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5a0-0.11.svnr2306
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5a0-0.10.svn2305
- fix license tag

* Wed Feb  6 2008 Luke Macken <lmacken@redhat.com> 0.5a0-0.8.svn2305
- Own our dispatch and dispatch/tests directories (Bug #431743)

* Sat Oct 27 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.7.svn2305
- Fix broken URL and Source0

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.7.svn2305
- Update for python-setuptools changes in rawhide

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.6.svn2305
- Rebuild

* Thu May  3 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.5.svn2305
- 0.5a0.dev-r2306

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.4.svnr2115
- Rebuild for new python

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.2.svnr2115
- Rebuild for FC6

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.1.svnr2115
- Include the pyo files instead of ghosting them

* Thu Jul  6 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.1.svnr2115
- Use sitearch instead of sitelib in the files
- Remove python-abi requirement
- Ghost the .pyo files
- Add the URL

* Wed Apr 19 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5a0-0.svnr2115
- Intial RPM release
